Main Page Class Hierarchy Compound List File List Compound Members File Members

# fleng.c File Reference

`#include <stdlib.h>`
`#include "fleng.h"`

Go to the source code of this file.

## Functions
void | FlEngLookup (double alat, double alng, char **grname, char **srname)
## Variables
const short int | nsreg [759]
const short int | lln [6060][3]
const char * | sreg []
const char * | greg []

## Function Documentation

void FlEngLookup | ( | double | alat,
|  | double | alng,
|  | char ** | grname,
|  | char ** | srname
| ) |

| Definition at line 1311 of file fleng.c. References greg, lat, lln, nsreg, and sreg.

## Variable Documentation

const char* greg[]

| Definition at line 999 of file fleng.c. Referenced by FlEngLookup().

const short int lln[6060][3]

| Definition at line 106 of file fleng.c. Referenced by FlEngLookup().

const short int nsreg[759]

| Definition at line 72 of file fleng.c. Referenced by FlEngLookup().

const char* sreg[]

| Initial value:
     {
     "                                                    ",
     "ALASKA - ALEUTIAN ISLANDS ARC","EASTERN ALASKA TO VANCOUVER ISLAND",
     "CALIFORNIA - NEVADA AREA","BAJA CALIFORNIA AND GULF OF CALIFORNIA",
     "MEXICO - GUATEMALA AREA","CENTRAL AMERICA","CARIBBEAN LOOP",
     "ANDEAN SOUTH AMERICA","EXTREME SOUTH AMERICA","SOUTHERN ANTILLES",
     "NEW ZEALAND AREA","KERMADEC - TONGA - SAMOA BASIN AREA","FIJI ISLANDS AREA",
     "VANUATU ISLANDS","BISMARCK AND SOLOMON ISLANDS","NEW GUINEA AREA",
     "CAROLINE ISLANDS TO GUAM","GUAM TO JAPAN",
     "JAPAN - KURIL ISLANDS - KAMCHATKA PENINSULA",
     "SOUTHWESTERN JAPAN AND RYUKYU ISLANDS","TAIWAN","THE PHILIPPINES",
     "BORNEO - SULAWESI","SUNDA ARC","MYANMAR AND SOUTHEAST ASIA",
     "INDIA - XIZANG - SICHUAN - YUNNAN","SOUTHERN XINJIANG TO GANSU",
     "LAKE ISSYK-KUL TO LAKE BAYKAL","WESTERN ASIA",
     "MIDDLE EAST - CRIMEA - EASTERN BALKANS","WESTERN MEDITERRANEAN SEA AREA",
     "ATLANTIC OCEAN","INDIAN OCEAN","EASTERN NORTH AMERICA",
     "EASTERN SOUTH AMERICA","NORTHWESTERN EUROPE","AFRICA","AUSTRALIA",
     "PACIFIC BASIN","ARCTIC ZONE","EASTERN ASIA",
     "NORTHEASTERN ASIA, NORTHERN ALASKA TO GREENLAND",
     "SOUTHEASTERN AND ANTARCTIC PACIFIC OCEAN","GALAPAGOS AREA","MACQUARIE LOOP",
     "ANDAMAN ISLANDS TO SUMATERA","BALUCHISTAN","HINDU KUSH AND PAMIR",
     "NORTHERN EURASIA","ANTARCTICA",
     }
Definition at line 975 of file fleng.c. Referenced by FlEngLookup().